MPIATY(3NCARG)

NAME
MPIATY - Given the area identifier of one of the areas defined by whatever database was last read by one of the EZMAPB routines MPLNAM, MPLNDM, MPLNDR, and MPLNRI, this function returns the area type of the area.

SYNOPSIS
IATY=MPIATY(IAIN)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

int c_mpiaty (int iain)

DESCRIPTION

IAIN
    is an input expression of type INTEGER, specifying the area identifier of a particular area of interest.

C-BINDING DESCRIPTION
The C-binding argument description is the same as the FORTRAN argument description.

USAGE
The statement "IATY=MPIATY(IAIN)" retrieves in IATY the area type of the area with area identifier IAIN. For example, if IMAD is the area identifier of the little island in Lake Superior called "Lake Madeline", then MPIATY(IMAD) is 4, implying that this island is a portion of a state.

EXAMPLES
Use the ncargex command to see the following relevant example: mpex12.

ACCESS
To use MPIATY or c_mpiaty, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

SEE ALSO
Online: ezmap, ezmap_params, mapaci, mapbla, mapblm, mapdrw, mapeod, mapfst, mapgci, mapgrd, mapgrm, mapgtc, mapgti, mapgtl, mapgtr, mapint, mapiq, mapiqa, mapiqd, mapiqm, mapit, mapita, mapitd, mapitm, maplbl, maplmb, maplot, mappos, maproj, maprs, maprst, mapsav, mapset, mapstc, mapsti, mapstl, mapstr, maptra, maptri, maptrn, mapusr, mapvec, mpchln, mpfnme, mpgetc, mpgeti, mpgetl, mpgetr, mpglty, mpifnb, mpilnb, mpiola, mpiosa, mpipai, mpipan, mpipar, mpisci, mplnam, mplndm, mplndr, mplnri, mpname, mprset, mpsetc, mpseti, mpsetl, mpsetr, supmap, supcon, ncarg_cbind

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.